MAPI error on sending mail



  • Hello Kopano Community.

    From time to time, we get a MAPI error while sending emails.

    The error message is:

    MAPIException: MAPI error  in
    /usr/share/kopano-webapp/plugins/smime/php/plugin.smime.php:147
    Stack trace:
    #0 /usr/share/kopano-webapp/plugins/smime/php/plugin.smime.php(147):
    mapi_msgstore_openentry(Resource id #12,
    '\x00\x00\x00\x00\x9F\xDC\xBE\xEE\xF5\x11A1\xAF\xA2\x9E...')
    #1 /usr/share/kopano-webapp/plugins/smime/php/plugin.smime.php(113):
    Pluginsmime->onCertificateCheck(Array)
    #2 /usr/share/kopano-webapp/server/includes/core/class.pluginmanager.php(550):
    Pluginsmime->execute('server.module.c...', Array)
    #3 /usr/share/kopano-webapp/server/includes/modules/class.createmailitemmodule.php(130):
    PluginManager->triggerHook('server.module.c...', Array)
    #4 /usr/share/kopano-webapp/server/includes/modules/class.itemmodule.php(202):
    CreateMailItemModule->save(Resource id #12,
    '\x00\x00\x00\x00\x9F\xDC\xBE\xEE\xF5\x11A1\xAF\xA2\x9E...',
    '\x00\x00\x00\x00\x9F\xDC\xBE\xEE\xF5\x11A1\xAF\xA2\x9E...', Array)
    #5 /usr/share/kopano-webapp/server/includes/core/class.jsonrequest.php(57):
    ItemModule->execute()
    #6 /usr/share/kopano-webapp/kopano.php(139): JSONRequest->execute('{"zarafa":{"cre...')
    #7 {main}
    

    The error indicates SMIME, but this plugin is not active at all.

    As a workaround, I have now moved the /usr/share/kopano-webapp/plugins/smime directory.

    However, this is overwritten with every update and I would like to have a sustainable solution.

    Does anyone have any idea how to solve this error?

    Kind regards
    Basti



  • Hi,

    what happens if you remove the source for the SMIME plugin?
    For Debian in “/etc/apt/sources.list.d/kopano.list” remark the line that contains the SMIME plugin serial.
    Now the SMIM plug in will not be updated any longer.

    Walter



  • Hi @WalterHof

    Sorry i didn’t write the operating system that we are using.

    We are using Univention. When you install or update the Kopano-Webapp from the AppCenter SMIME will be automatically updated.

    So that’s not a viable option.
    I would like to fix the problem at the root. Why is the error coming at all if i don’t use the SMIME Plugin?

    But thanks for the hint.

    The versions we use are probably also interesting:
    UCS: 4.3-2
    KC: 8.6.8
    Webapp: 3.5.3

    Kind regards
    Basti



  • Hi basti,

    we install the SMIME plugin on most systems (Debian and SUSE) but we did not see this issue on any system.

    Walter



  • Hi @WalterHof

    Maybe this is something Univention related?

    We see the error only on UCS Server. Customers with a debian installation doesn’t report this problem, yet.

    Kind regards
    Basti


Log in to reply